import { z } from "zod";
import { Optional } from "../optional.js";
export type JSONPrimitive = string | number | boolean | null;
export type OptionalJSONPrimitive = Optional<JSONPrimitive>;
export declare const jsonPrimitiveSchema: z.ZodSchema<JSONPrimitive>;
export declare const optionalJsonPrimitiveSchema: z.ZodSchema<OptionalJSONPrimitive>;
export declare const isJSONPrimitive: (value?: unknown) => value is JSONPrimitive;
export declare const isOptionalJSONPrimitive: (value?: unknown) => value is OptionalJSONPrimitive;
export declare const parseJSONPrimitive: (value?: unknown) => JSONPrimitive | undefined;
export type JSONMagnitudinous = string | number;
export type OptionalJSONMagnitudinous = Optional<JSONMagnitudinous>;
export declare const jsonMagnitudinousSchema: z.ZodSchema<JSONMagnitudinous>;
export declare const optionalJsonMagnitudinousSchema: z.ZodSchema<OptionalJSONMagnitudinous>;
export declare const isJSONMagnitudinous: (value?: unknown) => value is JSONMagnitudinous;
export declare const isOptionalJSONMagnitudinous: (value?: unknown) => value is OptionalJSONMagnitudinous;
export declare const parseJSONMagnitudinous: (value?: unknown) => JSONMagnitudinous | undefined;
export * from "./string.js";
export * from "./number.js";
export * from "./boolean.js";
export * from "./null.js";
